Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problems with gcc after upgrade to 4.6 stable release
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Arctic
Apprentice
Apprentice


Joined: 04 Jul 2011
Posts: 178

PostPosted: Fri Jan 11, 2013 1:58 pm    Post subject: Problems with gcc after upgrade to 4.6 stable release Reply with quote

I upgraed to gcc stable release ,and i switch to sys-devel/gcc-4.6.3:4.6

I make and revdep-rebuid with some mistakes , in :

Code:
All prepared. Starting rebuild
emerge --complete-graph=y --oneshot   gnustep-base/gnustep-back-cairo:0 gnustep-base/gnustep-base:0 gnustep-base/gnustep-gui:0


i got this error:

Code:
Please refer to your compiler installation instructions for more help.
configure: error: The Objective-C compiler does not work or is not installed properly.


It clains for use "objc" enable support, i recompile gcc with this new flag enable with no look ......... so what is the problem ?????

Code:
[ebuild   R    ] sys-devel/gcc-4.6.3:4.6  USE="cxx fortran gtk mudflap (multilib) nls nptl objc
openmp (-altivec) -bootstrap -build -doc (-fixed-point) -gcj -go -graphite (-hardened) (-libssp) -multislot -nopie -nossp -objc++ -objc-gc {-test} -vanilla" 0

Regards
_________________
ln -s /user/artic /user/arctic
Back to top
View user's profile Send private message
chithanh
Developer
Developer


Joined: 05 Aug 2006
Posts: 1656
Location: Berlin, Germany

PostPosted: Sat Jan 12, 2013 2:54 am    Post subject: Reply with quote

config.log may give some hints on what could be wrong.
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1347
Location: Bardowick, Germany

PostPosted: Mon Jan 14, 2013 12:05 pm    Post subject: Reply with quote

Did you actually switch to your new version of gcc using
Code:
gcc-config
and fixed hard wired paths using
Code:
fix_libtool_files.sh
after upgrading gcc?
_________________
I *do* know that I easily aggravate people due to my condensed writing. Rule of thumb: If I wrote anything that can be understood in two different ways, and one way offends you, then I meant the other! ;)
Back to top
View user's profile Send private message
andrewwalker27
Guru
Guru


Joined: 27 Jun 2005
Posts: 522

PostPosted: Thu Mar 21, 2013 1:46 pm    Post subject: Reply with quote

I'm having exactly the same problem, gnustep-base-1.24.3 fails to install because of objc errors as shown here

Code:

checking for objc_root_class attribute support... found
checking whether objc really works... no
I don't seem to be able to use your Objective-C compiler to produce
working binaries!  Please check your Objective-C compiler installation.


I've checked objc use flag is set

Code:

[ebuild   R    ] sys-devel/gcc-4.7.2-r1:4.7  USE="cxx fortran gcj gtk mudflap (multilib) nls nptl objc openmp (-altivec) -doc (-fixed-point) -go -graphite (-hardened) (-libssp) -multislot -nopie -nossp -objc++ -objc-gc {-test} -vanilla" 0 kB


I've also done
Code:

gentoo portage # gcc-config -l
 [1] avr-4.4.7 *
 [2] avr-4.7.2

 [3] x86_64-pc-linux-gnu-4.3.6
 [4] x86_64-pc-linux-gnu-4.7.2 *
gentoo portage #


and also run
Code:

fix_libtool_files.sh


but still the error persists. I've removed all the gnustep packages and started again but nothing seems to help. Do I require the package gnustep-base/libobjc2 or is that purely for gnustep code as it doesn't get pulled in as a dependency? I tried installing it anyway but it didn't help.
I also enabled objc++ and objc-gc use flags but it made no difference.
Any suggestions?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum